<template>
  <div class="w-full sm:w-[287px] h-[248px] p-6 gap-6 flex flex-col items-start self-stretch
    rounded-xl bg-white shadow-[0px_1px_5px_0px_rgba(0,0,0,0.20)] hover:!shadow-[2px_4px_10px_0px_rgba(0,0,0,0.20)]
    cursor-pointer"
  >
    <div class="flex flex-col items-start gap-4 self-stretch">
      <div class="w-full flex items-center gap-[2px] truncate">
        <svn-text v-if="!card?.startline && !card?.endline" sm color="dark-grey">
          {{ dateNotSetText }}
        </svn-text>

        <svn-text v-if="card?.startline" sm color="dark-grey">
          {{ card?.startline }}
        </svn-text>

        <div v-if="card?.startline && card?.endline">
          <Icon icon="mdi:chevron-right" height="12" width="12" class="text-dark-grey" />
        </div>

        <svn-text v-if="card?.endline" sm color="dark-grey">
          {{ card?.endline }}
        </svn-text>
      </div>

      <div class="w-full flex flex-col items-start gap-2 h-[116px]">
        <svn-text base medium class="h-12 line-clamp-2">
          {{ card?.title }}
        </svn-text>

        <div class="w-full flex items-center rounded-[5px] bg-very-light-grey gap-2 pl-4 pr-2 h-[60px]">
          <svn-avatar :avatar="card?.logo" size="md" />

          <svn-text sm class="h-10 line-clamp-2 flex-1">
            {{ card?.description }}
          </svn-text>
        </div>
      </div>
    </div>

    <div class="w-full flex justify-between items-end self-stretch">
      <svn-avatar :avatar="card?.creator" size="sm" class="border-2 border-primary" />

      <svn-text sm>
        {{ card?.session_number || 0 }} sessions
      </svn-text>
    </div>
  </div>
</template>

<script setup>
import { Icon } from "@iconify/vue";
import SvnText from "../styles/SvnText.vue"
import SvnAvatar from "../avatar/SvnAvatar.vue";

const props = defineProps({
  card: { type: Object, default: () => {} },
  dateNotSetText: { type: String, default: 'Date not set' },
})
</script>

<style scoped>
</style>